Get threat objective data by slug
const url = 'https://api.adversarial.com/api/v1/threats/sabotage%2C%20data-disclosure';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.adversarial.com/api/v1/threats/sabotage%2C%20data-disclosureParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Identifies a specific threat objective
String-formatted ThreatLevel slug
Example
sabotage, data-disclosureResponses
Section titled “Responses”Get a threat level by slug
Information relating to a threat and its history.
Threat Levels are typically generated for organizations. Threat Objectives don’t have any universal inherent or without the context of an organization.
object
The inherent scores relating to the threat objective
The current inherent scoring of a threat objective.
An inherent score is always scoped to one organization and one threat objective; it has no meaning outside that pairing.
object
The date the score was created.
An auto-incrementing PK value that uniquely identifies the score given the threat objective name
The y-axis
Whether this inherent score is a draft (excluded from some threat-level responses).
The x-axis
The proposal action PK that this score is associated with
The proposal PK that this score is associated with
The threat objective PK
Used to constrain the threat level from moving to a location that is deemed too risky
The PK of the threat objective
Example
{ "inherent": [ { "impact": "Very Low", "likelihood": "Remote", "threat_objective_name": "Sabotage" } ], "min_likelihood": "Remote", "name": "Sabotage"}